glutSetWindowTitle(3GLUT)

NAME
glutSetWindowTitle, glutSetIconTitle - change the window or icon title respectively of the current top-level window.

SYNTAX
#include <GLUT/glut.h>

void glutSetWindowTitle(char *name);
void glutSetIconTitle(char *name);

ARGUMENTS

name
    ASCII character string for the window or icon name to be set for the window.

DESCRIPTION
These routines should be called only when the current window is a top-level window. Upon creation of a top-level window, the window and icon names are determined by the name parameter to glutCreateWindow. Once created, glutSetWindowTitle and glutSetIconTitle can change the window and icon names respectively of top-level windows. Each call requests the window system change the title appropriately. Requests are not buffered or coalesced. The policy by which the window and icon name are displayed is window system dependent.

SEE ALSO
glutCreateWindow, glutIconifyWindow

AUTHOR
Mark J. Kilgard (mjk@nvidia.com)